<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/form.css">
  <title>Form in HTML5</title>
</head>
<body>
  <header>
    <h1>Form in HTML5</h1>
  </header>
  <hgroup>
    <h2>Formulario Web</h2>
    <fieldset>
      <legend>Contact details</legend>
      <form action="#">
        <label for="name">Name:</label>
        <input type="text" placeholder="Add your name" id="name" name="name" required="" pattern="[a-zA-Z/s]{5,}" />
        <span class="invalid">* Your name is required</span>
        <br/><br/>

        <label for="email">Email:</label>
        <input type="email" name="email" id="email" placeholder="Add your email address" required="">
        <span class="invalid">* The email address is required</span>
        <br/><br/>

        <label for="phone">Phone:</label>
        <input type="tel" name="phone" id="phone" placeholder="Add your phone number" required="">
        <span class="invalid">* The phone number is required</span>
        <br/><br/>

        <label for="country">Country:</label>
        <input list="countries" name="country" id="country" placeholder="Add your country">
        <datalist id="countries">
          <option value="MX">Mexico</option>
          <option value="COL">Colombia</option>
          <option value="ES">Spain</option>
          <option value="X">Other..</option>
        </datalist>
        <br/><br/>

        <label for="age">Age:</label>
        <input type="number" name="age" id="age" min="18" max="64">
        <br/><br/>

        <label for="birthdate">Birthdate:</label>
        <input type="date" name=birthdate min="1900-01-01" max="2002-12-31">

        <br/><br/>
        <div>
          <input type="submit" value="Send" id="send">
        </div>
      </form>
    </fieldset>
  </hgroup>

  <a href="./index.html">To main page</a>
</body>
</html>